JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const coupon = await client.v1.coupons.retrieve('x');
console.log(coupon.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
coupon = client.v1.coupons.retrieve(
id="x",
)
print(coupon.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
coupon, err := client.V1.Coupons.Get(
context.TODO(),
"x",
stigg.V1CouponGetParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", coupon.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.coupons.Coupon;
import io.stigg.models.v1.coupons.CouponRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
Coupon coupon = client.v1().coupons().retrieve("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
coupon = stigg.v1.coupons.retrieve("x")
puts(coupon)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Coupons;
StiggClient client = new();
CouponRetrieveParams parameters = new() { ID = "x" };
var coupon = await client.V1.Coupons.Retrieve(parameters);
Console.WriteLine(coupon);stigg v1:coupons retrieve \
--api-key 'My API Key' \
--id xcurl --request GET \
--url https://api.stigg.io/api/v1/coupons/{id} \
--header 'X-API-KEY: <api-key>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/coupons/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"percentOff": 50,
"amountsOff": [
{
"amount": 123
}
],
"billingId": "<string>",
"billingLinkUrl": "<string>",
"durationInMonths": 2,
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Coupons
Get a single coupon by ID
Retrieves a coupon by its unique identifier.
GET
/
api
/
v1
/
coupons
/
{id}
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const coupon = await client.v1.coupons.retrieve('x');
console.log(coupon.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
coupon = client.v1.coupons.retrieve(
id="x",
)
print(coupon.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
coupon, err := client.V1.Coupons.Get(
context.TODO(),
"x",
stigg.V1CouponGetParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", coupon.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.coupons.Coupon;
import io.stigg.models.v1.coupons.CouponRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
Coupon coupon = client.v1().coupons().retrieve("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
coupon = stigg.v1.coupons.retrieve("x")
puts(coupon)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Coupons;
StiggClient client = new();
CouponRetrieveParams parameters = new() { ID = "x" };
var coupon = await client.V1.Coupons.Retrieve(parameters);
Console.WriteLine(coupon);stigg v1:coupons retrieve \
--api-key 'My API Key' \
--id xAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
The unique identifier of the entity
Required string length:
1 - 255Response
The coupon object with full details.
Response object
Discount instrument with percentage or fixed amount
Show child attributes
Show child attributes
⌘I
